org.apache.ignite.internal.igfs.common

## Class IgfsPathControlRequest

- java.lang.Object
- - org.apache.ignite.internal.igfs.common.IgfsMessage
  - - org.apache.ignite.internal.igfs.common.IgfsPathControlRequest

    public class IgfsPathControlRequest
    extends IgfsMessage

Single path command message. This is a plain bean.

### Constructor Summary

Constructors
Constructor and Description
`IgfsPathControlRequest()`

### Method Summary

Methods
`long` `accessTime()`
`void` `accessTime(long accessTime)`
`long` `blockSize()`
`void` `blockSize(long blockSize)`
`boolean` `colocate()`
`void` `colocate(boolean colocate)`
`IgfsPath` `destinationPath()`
`void` `destinationPath(IgfsPath destPath)`
`boolean` `flag()`
`void` `flag(boolean flag)`
`long` `length()`
`void` `length(long len)`
`long` `modificationTime()`
`void` `modificationTime(long modificationTime)`
`IgfsPath` `path()`
`void` `path(IgfsPath path)`
`Map<String,String>` `properties()`
`void` `properties(Map<String,String> props)`
`int` `replication()`
`void` `replication(int replication)`
`int` `sequentialReadsBeforePrefetch()`
`void` `sequentialReadsBeforePrefetch(int seqReadsBeforePrefetch)`
`long` `start()`
`void` `start(long start)`
`String` `toString()`
`String` `userName()` Getter for the user name.
`void` `userName(String userName)` Setter for the user name.

### Methods inherited from class org.apache.ignite.internal.igfs.common.IgfsMessage

`command, command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsPathControlRequest

    public IgfsPathControlRequest()

### Method Detail

#### path

    public void path(IgfsPath path)

Parameters:
  `path` - Path.

#### destinationPath

    public void destinationPath(IgfsPath destPath)

Parameters:
  `destPath` - Destination path (rename only).

#### flag

    public void flag(boolean flag)

Parameters:
  `flag` - Flag value. Meaning depends on command.

#### colocate

    public void colocate(boolean colocate)

Parameters:
  `colocate` - Colocate control flag value.

#### replication

    public void replication(int replication)

Parameters:
  `replication` - Hadoop replication factor.

#### blockSize

    public void blockSize(long blockSize)

Parameters:
  `blockSize` - Hadoop block size.

#### properties

    public void properties(@Nullable
                  Map<String,String> props)

Parameters:
  `props` - Properties map.

#### sequentialReadsBeforePrefetch

    public void sequentialReadsBeforePrefetch(int seqReadsBeforePrefetch)

Parameters:
  `seqReadsBeforePrefetch` - Sequential reads before prefetch.

#### start

    public void start(long start)

Parameters:
  `start` - Start position (affinity command only).

#### length

    public void length(long len)

Parameters:
  `len` - Length (affinity command only).

#### accessTime

    public void accessTime(long accessTime)

Parameters:
  `accessTime` - Last access time.

#### modificationTime

    public void modificationTime(long modificationTime)

Parameters:
  `modificationTime` - Last modification time.

#### path

    public IgfsPath path()

Returns:
  Path.

#### destinationPath

    public IgfsPath destinationPath()

Returns:
  Destination path (rename only).

#### flag

    public boolean flag()

Returns:
  Flag value (meaning depends on command).

#### colocate

    public boolean colocate()

Returns:
  Colocate control flag value.

#### replication

    public int replication()

Returns:
  Hadoop replication factor.

#### blockSize

    public long blockSize()

Returns:
  Hadoop block size.

#### properties

    public Map<String,String> properties()

Returns:
  Properties.

#### sequentialReadsBeforePrefetch

    public int sequentialReadsBeforePrefetch()

Returns:
  Sequential reads before prefetch.

#### start

    public long start()

Returns:
  Start position (affinity command only).

#### length

    public long length()

Returns:
  Length (affinity command only).

#### accessTime

    public long accessTime()

Returns:
  Last access time.

#### modificationTime

    public long modificationTime()

Returns:
  Last modification time.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### userName

    public final String userName()

Getter for the user name.

Returns:
  user name.

#### userName

    public final void userName(String userName)

Setter for the user name.

Parameters:
  `userName` - the user name.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017